
package de.laliluna.howto.beans;

import de.laliluna.howto.model.Article;
import de.laliluna.howto.services.ArticleService;
import de.laliluna.howto.services.ServiceFactoryImp;
import de.laliluna.howto.services.ServiceFactory;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;

@ManagedBean @RequestScoped
public class ArticleBean {
	private Integer id;

	private Article article;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Article getArticle() {
		return article;
	}

	public void load(){
		if(id == null)
			return;
		ServiceFactory factory = ServiceFactoryImp.getInstance();
		ArticleService articleService = factory.getService(ArticleService.class);

		article = articleService.findById(id);
	}


}
