package de.laliluna.examples.www;

import net.sourceforge.stripes.action.*;

/**
 * Copyright 2009, laliluna.de
 *
 * @author Sebastian Hennebrueder
 */

@net.sourceforge.stripes.action.Wizard(startEvents = "start")
public class Wizard implements ActionBean{
	private ActionBeanContext context;

	private String foo1;
	
	private String foo2;

	private String foo3;

	@DefaultHandler
	public Resolution start(){
				return new ForwardResolution("/step1.jsp");
	}

	public Resolution step2(){
		return new ForwardResolution("/step2.jsp");
	}

	public Resolution step3(){
		return new ForwardResolution("/step3.jsp");
	}

	public Resolution complete(){
		context.getMessages().add(new SimpleMessage("Foo1 {0}, Foo2 {1}, Foo3 {2}", foo1, foo2, foo3));
		return new ForwardResolution("/complete.jsp");
	}

	public ActionBeanContext getContext() {
		return context;
	}

	public void setContext(ActionBeanContext context) {
		this.context = context;
	}

	public String getFoo1() {
		return foo1;
	}

	public void setFoo1(String foo1) {
		this.foo1 = foo1;
	}

	public String getFoo2() {
		return foo2;
	}

	public void setFoo2(String foo2) {
		this.foo2 = foo2;
	}

	public String getFoo3() {
		return foo3;
	}

	public void setFoo3(String foo3) {
		this.foo3 = foo3;
	}
}
