package de.laliluna.example.pages;

import org.apache.tapestry5.annotations.Persist;
import org.apache.tapestry5.PersistenceConstants;

/**
 * Author: Sebastian Hennebrueder, http://www.laliluna.de
 * Date: 07.08.2009
 */
public class Flash {
	@Persist(PersistenceConstants.CLIENT)
	private String message;
	private String normalMessage;

	Object onAction() {
		message = "Hello message for the next request";
		normalMessage = "A normal message for the next request";
		return null;
	}

	public String getMessage() {
		return message;
	}

	public String getNormalMessage() {
		return normalMessage;
	}
}
