package de.laliluna.example.pages.ajax;

import org.apache.tapestry5.Block;
import org.apache.tapestry5.json.JSONObject;
import org.apache.tapestry5.ioc.annotations.Inject;

import java.util.Date;

/**
 * Example to test a single zone update with JavaScript
 * 
 * User: hennebrueder
 * Date: 05.08.2009
 */
public class Zone {

	/**
	 * A block of HTML defined in the Zone.tml page.
	 */
	@Inject
	private Block barBlock;

	Object onActionFromFoo(){
		return new JSONObject().put("content", "Foo was called");
	}

	Object onActionFromBar(){
		return barBlock;
	}

	public Date getNow(){
		return new Date();
	}

}
