package de.laliluna.example.security;

import java.util.Set;
import java.util.HashSet;

/**
 * Represents the application user
 * User: hennebrueder
 * Date: 05.08.2009
 */
public class MyUser implements ApplicationUser {
	private String username;
	private Set<String> rights = new HashSet<String>();

	public MyUser(String username) {
		this.username = username;
	}

	public boolean hasRight(String right) {
		return rights.contains(right);
	}

	public String getUsername() {
		return username;
	}

	public Set<String> getRights() {
		return rights;
	}

	public void setRights(Set<String> rights) {
		this.rights = rights;
	}
}
