package de.laliluna.howto.application;

import javax.faces.context.ExceptionHandlerFactory;
import javax.faces.context.ExceptionHandler;

/**
 * Author: Sebastian Hennebrueder, http://www.laliluna.de
 * Date: 22.10.2009
 */
public class CustomExceptionHandlerFactory extends ExceptionHandlerFactory{
	private ExceptionHandlerFactory parent;

	public CustomExceptionHandlerFactory(ExceptionHandlerFactory parent) {
		this.parent = parent;
	}

	public ExceptionHandler getExceptionHandler() {
		ExceptionHandler exceptionHandler = parent.getExceptionHandler();
		return new CustomExceptionHandler(exceptionHandler);
	}
}
