package de.laliluna.howto.beans;


import com.sun.faces.facelets.compiler.UIInstructions;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;
import javax.faces.component.UIViewRoot;
import javax.faces.component.UIComponent;
import java.util.logging.Logger;
import java.util.logging.Level;
import java.util.List;
import java.util.Arrays;
import java.util.Date;

import de.laliluna.howto.model.Address;
import de.laliluna.howto.model.Salutation;
import org.slf4j.LoggerFactory;

/**
 * Author: Sebastian Hennebrueder, http://www.laliluna.de
 * Date: 30.09.2009
 */
@ManagedBean @RequestScoped
public class InputBean {

	final org.slf4j.Logger logger = LoggerFactory.getLogger(InputBean.class);

	private Address address;

	public InputBean() {
		address = new Address();
	}

	public Address getAddress() {
		return address;
	}

	public void setAddress(Address address) {
		this.address = address;
	}

	public void save(){
		 logger.debug("{}",address);
	}

	public List<Salutation> getAllSaluations(){
		return Arrays.asList(Salutation.MR, Salutation.MRS);
	}

	public Date getSampleDate(){
		return new Date();
	}
}
