package de.laliluna.howto.components;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;

/**
 * Custom validator for the Bean Validation Framework
 * Validates if the email is one of ..@laliluna.de
 * Author: Sebastian Hennebrueder, http://www.laliluna.de
 * Date: 20.10.2009
 */
public class CompanyEmailValidator2 implements ConstraintValidator<CompanyEmail,String>{
	public void initialize(CompanyEmail constraintAnnotation) {

	}

	public boolean isValid(String value, ConstraintValidatorContext context) {
		if(value == null) // assume that the user uses @NotNull to validate not null
		return true;
		value = value.toLowerCase();
		return value.endsWith("@laliluna.de");
	}
}
