package de.laliluna.howto.services;


import java.util.List;

/**
 * Author: Sebastian Hennebrueder, http://www.laliluna.de
 * Date: 10.08.2009
 */
public interface AbstractService<M> {
	List<M> findAll();
	M findById(Integer id);
	void update(M model);
	void delete(M model);
	void create(M model);
}
