<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Date" %>
<%@ taglib prefix="s" uri="http://stripes.sourceforge.net/stripes.tld" %>
<%@ taglib prefix="stripes" uri="http://stripes.sourceforge.net/stripes-dynattr.tld" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<html>
<head><title>Simple jsp page</title></head>
<body>
<br>
<s:link href="/">Go back</s:link>
<br>

<h2>Message</h2>
<s:messages/>
<% request.setAttribute("date", new Date()); %>

<s:form action="/FormsAndInput.action" method="post">
	<div>
		Foo <s:text name="foo"/><s:errors field="foo"/>
	</div>
	<div>
		Date <s:text name="date"/><s:errors field="date"/>
		<br>Input sample: <fmt:formatDate type="date" value="${date}"  />
	</div>
	<div>
		Time <s:text name="time"/><s:errors field="time"/>
		<br>Input sample: <fmt:formatDate type="time" value="${date}"  />
	</div>
	<div>
		Date and time <s:text name="dateTime"/><s:errors field="dateTime"/>
		<br>Input sample: <fmt:formatDate type="both" value="${date}"  />
	</div>
	<div>
		Language <s:text name="language"/><s:errors field="language"/>
	</div>
	<h2>Multi row input</h2>
	<table>

		<c:forEach items="${actionBean.persons}" var="p" varStatus="loop">
			<tr>
				<td><s:text name="persons[${loop.index}].name" value="${p.name}"/></td>
				<td>
					<s:text name="persons[${loop.index}].email" value="${p.email}"/>
				</td>
			</tr>
			<c:set var="newIndex" value="${loop.index + 1}" scope="page"/>
		</c:forEach>
		<tr>
			<td><s:text name="persons[${newIndex}].name"/></td>
			<td>
				<s:text name="persons[${newIndex}].email"/>
			</td>
		</tr>
	</table>
	<s:submit name="save">Speichere</s:submit>
</s:form>
</body>
</html>