package de.laliluna.examples.core;

import java.lang.annotation.Target;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Mar 10, 2009
 * Marks a method to be executed instead of the event method, if a double submit of a form took place.
 *
 * @author Sebastian Hennebrueder
 */

@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface DoubleSubmit {
}
