package de.laliluna.examples.core;

import net.sourceforge.stripes.exception.DefaultExceptionHandler;
import net.sourceforge.stripes.action.Resolution;
import net.sourceforge.stripes.action.ForwardResolution;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Enumeration;

/**
 * Copyright 2009, laliluna.de
 *
 * @author Sebastian Hennebrueder
 */

public class MyExceptionHandler extends DefaultExceptionHandler{
	/**
	 * An exception handler to handle RuntimeExceptions
	 * @param e
	 * @param request
	 * @param response
	 * @return
	 */
	public Resolution handle(RuntimeException e, HttpServletRequest request, HttpServletResponse response){

		request.setAttribute("error", e);

		return new ForwardResolution("/error.jsp");
	}
}
