package de.laliluna.examples.www;

import net.sourceforge.stripes.action.*;

/**
 * Copyright 2009, laliluna.de
 *
 * @author Sebastian Hennebrueder
 */

@UrlBinding("/action/FriendlyUrl/{foo}/{bar}/{$event}")
public class FriendlyUrl implements ActionBean {
	private ActionBeanContext context;
	private String foo;
	private String bar;

	@DefaultHandler
	public Resolution index() {
		context.getMessages().add(new SimpleMessage("Got params foo {0} and bar {1}", foo, bar));
		return new ForwardResolution("/friendlyurl.jsp");
	}

	public Resolution save() {
		context.getMessages().add(new SimpleMessage("Save was called with params foo {0} and bar {1}", foo, bar));
		return new ForwardResolution("/friendlyurl.jsp");
	}


	public ActionBeanContext getContext() {
		return context;
	}

	public void setContext(ActionBeanContext context) {
		this.context = context;
	}

	public String getFoo() {
		return foo;
	}

	public void setFoo(String foo) {
		this.foo = foo;
	}

	public String getBar() {
		return bar;
	}

	public void setBar(String bar) {
		this.bar = bar;
	}
}
