package de.laliluna.examples.www;

import net.sourceforge.stripes.action.*;
import de.laliluna.examples.core.SampleService;

/**
 * Mar 31, 2009
 *
 * @author Sebastian Hennebrueder
 */

public class PicoIntegration implements ActionBean {
	private ActionBeanContext context;

	private SampleService sampleService;

	public PicoIntegration(SampleService sampleService) {
		this.sampleService = sampleService;
	}

	@DefaultHandler
	public Resolution index(){
		System.out.println(sampleService.hello());
		context.getMessages().add(new SimpleMessage(sampleService.hello()));
		return new ForwardResolution("/pico.jsp");
	}

	public ActionBeanContext getContext() {
		return context;
	}

	public void setContext(ActionBeanContext context) {
		this.context = context;
	}
}
