package de.laliluna.example.pages;

import org.apache.tapestry5.ioc.Messages;
import org.apache.tapestry5.ioc.annotations.Inject;

import java.util.Random;

/**
 * Author: Sebastian Hennebrueder, http://www.laliluna.de
 * Date: 07.08.2009
 */
public class Localization {

	@Inject
	private Messages messages;

	public String getFooInfo() {
		int fooStockLevel = new Random().nextBoolean() ? 3 : 0;
		if (fooStockLevel == 0)
			return messages.get("emptystock");
		else
			return messages.format("stockinfo", fooStockLevel, "Foo");
	}
}
