package de.laliluna.example.pages;

import de.laliluna.example.security.SecurityService;
import de.laliluna.example.security.MyUser;
import de.laliluna.example.services.SampleService;
import org.apache.tapestry5.annotations.Property;
import org.apache.tapestry5.ioc.annotations.Inject;

/**
 * Example to test the Security functionality
 * 
 * Author: Sebastian Hennebrueder, http://www.laliluna.de
 * Date: 05.08.2009
 */
public class Security {
	@Inject
	private SecurityService securityService;
	@Inject
	private SampleService sampleService;

	Object onActionFromLogin() {
		MyUser myUser = new MyUser("Peter");
		myUser.getRights().add("READ");
		securityService.storeUser(myUser);
		return null;
	}

	Object onActionFromLogout() {
		securityService.cleanStorage();
		return null;
	}

	Object onActionFromAllowed(){
		sampleService.allowed();
		return null;
	}
	Object onActionFromProtected1(){
		sampleService.protectedMethod();
		return null;
	}
	Object onActionFromProtected2(){
		sampleService.protectedMethod2();
		return null;
	}


}
