package de.laliluna.example.pages.input;

import de.laliluna.example.model.Address;
import de.laliluna.example.services.AddressService;
import org.apache.tapestry5.annotations.Property;
import org.apache.tapestry5.ioc.annotations.Inject;
import org.apache.tapestry5.beaneditor.ReorderProperties;

import java.util.List;
import java.util.Date;

/**
 * Example how to create a simple edit form with validation
 * 
 * User: hennebrueder
 * Date: 04.08.2009
 */
public class CreateAddress {
	@Property
	private Address address;

	public List<Address> getAddresses(){
		return addressService.findAll();
	}

	@Inject
	private AddressService addressService;

	Object onSuccess(){
		addressService.create(address);
		return null;
	}
	
}
