package de.laliluna.example.pages.wizard;

import de.laliluna.example.model.Article;
import de.laliluna.example.services.ArticleService;
import org.apache.tapestry5.annotations.InjectPage;
import org.apache.tapestry5.ioc.annotations.Inject;

/**
 * @author Sebastian Hennebrueder
 */

public class Step2 extends AbstractWizard<Article> {

	@InjectPage
	private End end;

	@Inject
	private ArticleService articleService;

	public Object onSuccess() {
		System.out.println("finish");
		Article article = getModel();
		articleService.create(article);
		endDialog();

		return end.initialize(article.getId());
	}

}
